<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".ui.main.LocationCodeActivity">


    <FrameLayout
        android:id="@+id/fl_fanhui"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:padding="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/lv_fanhui"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/my_location_code"
        android:textColor="#001725"
        android:textSize="22sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/fl_fanhui"
        app:layout_constraintStart_toEndOf="@id/fl_fanhui"
        app:layout_constraintTop_toTopOf="@id/fl_fanhui" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/fl_fanhui">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:src="@mipmap/lv_dingwei"
            tools:ignore="ContentDescription" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="18dp"
            android:layout_marginTop="20dp"
            android:gravity="center"
            android:text="@string/location_code_tips"
            android:textColor="#001A28"
            android:textSize="14sp" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="108dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="30dp"
            android:background="@drawable/bg_stroke_dash_03b988_15">

            <TextView
                android:id="@+id/tv_code"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:textColor="#03B988"
                android:textSize="38sp"
                android:textStyle="bold"
                tools:text="AZEQFOU2" />

            <ImageView
                android:id="@+id/tv_copy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_margin="8dp"
                android:src="@mipmap/weizhimaicon"
                tools:ignore="ContentDescription" />
        </FrameLayout>


        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_03b988_10"
            android:gravity="center"
            android:text="@string/copy"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>